<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin:0;
		height:100vh;
		width: 100vw;
		position: relative;
		display: flex;
		}
		.sandwich{
			position: fixed;
			top:10px;
			right:10px;
			height:50px;
			width:50px;
			display: flex;
			justify-content: center;
			align-items: center;
			flex-direction: column;
		}
		span{
			height:10px;
			width: 100%;
			border-radius:20px;
			position: absolute;
			transition: .3s;
		}
		.area{
			border-radius:50%;
			transition: .3s;
			position: absolute;
			background:coral;
		}

		.close>span{
			background:coral;
		}
		
		.close>span:nth-child(2){
			top:10px;
		}

		.close>span:nth-child(3){
			bottom:10px;
		}

		.close> .area{
			height:0%;
			width: 0%;
		}
		.open>span{
			background:white;
		}
		.open>.area{
			height:60vw;
			width: 60vw;
		}
		.open>span:nth-child(2){
			top:20px;
			transform: rotate(45deg);
		}
		.open>span:nth-child(3){
			transform: rotate(-45deg);
			bottom:20px;
		}
		.menu{
			position: fixed;
			top:10vh;
			right:1vw;
			color:rgba(0,0,0,.9);
			text-align: right;
			font-size:2vw;
		}
		.menu-item{
			transition: .5s;
		}
		.open>.menu>.menu-item{
			transform:translate(0px, 0px);

		}
		.close>.menu>.menu-item{
			transform:translate(200px, -200px);
		}

		.menu-item:nth-child(1){
			transition-delay: 0ms;
		}
		.menu-item:nth-child(2){
			transition-delay: 100ms;
		}
		.menu-item:nth-child(3){
			transition-delay: 200ms;
		}
		.menu-item:nth-child(4){
			transition-delay: 300ms;
		}
		.menu-item:nth-child(5){
			transition-delay: 400ms;
		}
</style>
<body >
	<div class="sandwich close" id="sand">
		<div class="area"></div>
		<span></span>
		<span></span>
		<div class="menu">
			<div class="menu-item">Home</div>
			<div class="menu-item">About</div>
			<div class="menu-item">Contact</div>
			<div class="menu-item">Project</div>
			<div class="menu-item">Services</div>
		</div>
	</div>
</body>
<script type="text/javascript">
	let menu=document.getElementById("sand");
	menu.addEventListener("click",()=>{
		menu.classList.toggle("open");
		menu.classList.toggle("close");
	});
</script>
</html>